<div class="modal-content">
    <div class="modal-header">
        <h3 class="modal-title">Daftar Admin K/L/P/D</h3>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"></button>
    </div>
    <div class="modal-body">
        <div class="portlet-body">
            <div class="alert alert-danger alert-modal hidden"></div>
            <form action="" method="post" id="form_daftarkl" class="form_daftarkl" enctype="multipart/form-data">
                #{authenticityToken /}
                <input type="hidden" name="model.action" value="update" >
                <input type="hidden" name="model.id" value="${user?.id}" >
                <div class="form-group has-feedback">
                    <div class="row">
                        <label for="uploadfile" class="col-3 control-label">Upload File</label>
                        <input type="file" required name="model.uploadfile" id="uploadfile" class="col form-control uploadfile" placeholder="Silahkan pilih file yang akan diupload">
                        <span class="form-control-feedback"></span>
                        <span class="help-block">
                    <strong>#{error 'model.upload_file' /}</strong>
                </span>
                    </div>
                </div>
                <div class="form-group has-feedback">
                    <div class="row">
                        <label for="kldi_id" class="col-3 control-label">Daftar K/L/P/D</label>
                        <select class="col form-control" id="kldi_id" name="model.kldi_id" required>
                            <option value="">Pilih salah satu K/L/P/D</option>
                            #{list daftarkl, as: 'daftar'}
                            <option value="${daftar.id}">${daftar.nama_instansi}</option>
                            #{/list}
                        </select>
                        <span class="form-control-feedback"></span>
                        <span class="help-block">
                    <strong>#{error 'model.k_l' /}</strong>
                    </span>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-success btn-elevate2 btn-elevate-air2" id="button_daftarkl"><i class="fa fa-lock"></i> Daftar</button>
        <button type="button" class="btn btn-danger btn-elevate2 btn-elevate-air2" data-dismiss="modal"><i class="fa fa-power-off"></i> Tutup</button>
    </div>
</div>
<script>
$(function() {
$('#uploadfile').on('change', function() {
	myfile= $(this).val();
	var ext = myfile.split('.').pop();
	if(ext=="pdf" || ext=="doc" || ext=="docx" || ext=="odt" ){
		$(document).on('click', "button#button_daftarkl", function(){
			$('#form_daftarkl').validate({
				errorElement: 'span',
	    		errorClass: 'help-block',
	    		focusInvalid: false,
		 	    highlight: function (element) {
	            $(element).closest('.form-group').addClass('has-error');
	            },
	            success: function (label) {
	                label.closest('.form-group').removeClass('has-error');
	                label.remove();
	            },
			});
		if ($('form.form_daftarkl').valid()) {
		    $('.alert-modal').addClass('hidden');
		  	$.ajax({
				xhr: function() {
        		var browser = navigator.appName;
				if(browser == "Microsoft Internet Explorer"){
				var xhr = new window.ActiveXObject("Microsoft.XMLHTTP");
				} else {
        		var xhr = new window.XMLHttpRequest();
				}
        		xhr.upload.addEventListener("progress", function(evt) {
           		if (evt.lengthComputable) {
               		var percentComplete = (evt.loaded / evt.total) * 100;
					blockPageUI();
           		}
				}, false);
       			xhr.addEventListener("progress", function(evt) {
           			if (evt.lengthComputable) {
               		var percentComplete = (evt.loaded / evt.total) * 100;
					blockPageUI();
           			}
      			}, false);return xhr; },
			    async:true,
    		    type: "POST",
			    cache: false,
                contentType: false,
                processData: false,
			    url: "#{url route.user_management_userapicontroller_createadminform /}",
			    data: new FormData($('#form_daftarkl')[0]),
				    beforeSend: function(){},
        		    success: function(result){
					    if (result.status) {
					        $('#kldi_id').val("");
					        $('#uploadfile').val("");
					        $('.alert-modal').removeClass('hidden')
					            .removeClass('alert-danger')
					            .addClass('alert-success')
					            .html(result.message);
                            setTimeout(function(){window.location.href = result.payload}, 500);
					    } else {
					        $('.alert-modal')
					            .addClass('alert-danger')
					            .removeClass('alert-success')
					            .removeClass('hidden').html(result.message);
					    }
 		            },
				complete: function(){unblockPageUI();},
			    error: function() {
                   $('.alert-modal')
                        .addClass('alert-danger')
                        .removeClass('alert-success')
                        .removeClass('hidden').html('&{translation.general_error}');
			    }
      		});
		}
		});
	} else {
      alert("File ekstensi yang didukung untuk diunggah adalah pdf, doc, docx atau odt");
    }
});
});
</script>